Este minituto está dirigido al Ubuntu 7.10 Gudsy Gibbon, la razón de poner a estas alturas este artículo es

simplemente que pienso que todavía quedan muchos usuarios con esta edición, ya que el

Hardy Heron necesita más recursos que el Gudsy Gibbon por lo que este corre mejor con

máquinas más antiguas. Es posible que todo esto también lo puedas utilizar para Hardy Heron, seria

cuestión de probar. Empecemos.

Hay mucha gente que confunde los restrict modules, con el soporte de codecs … esto es un error, dado que

aunque instales este paquete, tu Ubuntu 7.10, no tiene autentico soporte ni codecs, para manejar

aplicaciones con formatos como Xvid, por tanto es bueno aclararlo y dejar un manual correcto para que

tengas tu Ubuntu con soporte real para aplicaciones multimedia.

Si quieres solucionar y tener tu UBUNTU 7.10, con los Codecs, arreglados al 100 %, sigue estas instrucciones:

Abre la consola y ejecuta :

Código: sudo aptitude install gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-multiverse gstreamer0.10-plugins-bad gstreamer0.10-plugins-bad-multiverse gstreamer0.10-ffmpeg gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly gstreamer0.10-ffmpeg gstreamer0.10-gl gstreamer0.10-pitfdll libdvdread3 flashplugin-nonfree totem-gstreamer-firefox-plugin unrar

(esto arregla la reproducción para totem, y otras aplicaciones, aunque no te da soporte real , pero simplemente eso)

Para tener soporte real, debemos instalar los repositorios MEDIBUNTU, y hacer algunas actualizaciones, por lo que hacemos lo siguiente :
(borramos esta versión de ffmpeg, que esta restringida para operaciones de vídeo)

Código: sudo aptitude remove ffmpeg (añadimos repositorios no oficiales, por temas legales …)

Copia y pega:

Código: sudo wget http://www.medibuntu.org/sources.list.d/hardy.list -O /etc/apt/sources.list.d/medibuntu.list

Copia y pega:

Código: wget -q http://packages.medibuntu.org/medibuntu-key.gpg -O- | sudo apt-key add – && sudo aptitude update

Código: sudo aptitude update

Código: sudo aptitude install ffmpeg  ( esta es la buena )

Copia y pega:

Código: sudo aptitude install liblame-dev libfaad2-dev libfaac-dev libxvidcore4-dev liba52-0.7.4 liba52-0.7.4-dev libx264-dev

** Es probable que Ubuntu te pida actualizaciones… las aceptas.

Bueno amigo felicidades, ahora tienes soporte real y si no te lo crees intenta convertir

un vídeo entre formatos y ahora sí te dejará.

Un saludo:  troyano66